import sys
from PySide6 import QtWidgets

from ui_HIDTest import Ui_Dialog


class MainWindow(QtWidgets.QMainWindow, Ui_Dialog):
    def __init__(self):
        super(MainWindow, self).__init__()
        self.setupUi(self)
        #self.setWindowTitle("USB generic HID demo")
        self.label_8.setStyleSheet("color: red")
        self.pushButton_2.setStyleSheet("color: white; background-color: red")
        self.pushButton.clicked.connect(self.on_update)
        self.pushButton_3.clicked.connect(self.on_set)
        self.checkBox.stateChanged.connect(self.on_check)

    def on_update(self):
        pwm_data = int(self.spinBox.value())
        # Just echoing the data ...
        self.lineEdit.setText("0x{0:04X}".format(pwm_data))

    def on_set(self):
        vId = int(self.lineEdit_2.text(), 16)
        pId = int(self.lineEdit_3.text(), 16)   
        if ((vId == 0x1234) and (pId == 0x0006)):
            self.label_8.setText("Connected")
            self.label_8.setStyleSheet("color: green") 
        else:
            self.label_8.setText("Disconnected")
            self.label_8.setStyleSheet("color: red")     

    def on_check(self,state):
        if state:
           self.pushButton_2.setStyleSheet("color: white; background-color: green")      
           self.pushButton_2.setText("ON") 
        else:
           self.pushButton_2.setStyleSheet("color: white; background-color: red")      
           self.pushButton_2.setText("Off") 

app = QtWidgets.QApplication([])
window = MainWindow()
window.show()
app.exec()
